// 集成云脚本公共关键字、函数、变量、常量等
[
		{
			"title" : "true"
		},
		{
			"title" : "false"
		},
		{
			"title" : "declare name DATA_TYPE //声明带类型的变量",
			"text" : "declare name INTEGER;"
		},
		{
			"title" : "null"
		},
		{
			"title" : "String",
			"group" : "String.",
			"children" : [ {
				"title" : "valueOf(v) // toString",
				"text" : "valueOf(v)"
			}, {
				"title" : "indexOf(v, 's')"
			}, {
				"title" : "indexOf(v, 's', index)"
			}, {
				"title" : "lastIndexOf(v, 's')"
			}, {
				"title" : "lastIndexOf(v, 's', index)"
			}, {
				"title" : "split(v, 's')"
			}, {
				"title" : "split(v, 's', limit)"
			}, {
				"title" : "join(list)"
			}, {
				"title" : "join(list, 's')"
			}, {
				"title" : "join(list, 's', a -> a.field)"
			}, {
				"title" : "trim(s)"
			}, {
				"title" : "sub(s, start) // 子字符串",
				text : "sub(s, start)"
			}, {
				"title" : "sub(s, start, end) // 子字符串",
				text : "sub(s, start, end)"
			}, {
				"title" : "getBytes2(s, 'utf-8') // byte数组",
				text : "getBytes2(s, 'utf-8')"
			}, {
				"title" : "toBinary(s) // 十六进制字符串转字节串",
				text : "toBinary(s)"
			}, {
				"title" : "toBinary16(s) // 十六进制字符串转16字节串",
				text : "toBinary16(s)"
			}, {
				"title" : "getBytes2(bs) // byte数组",
				text : "getBytes2(bs)"
			}, {
				"title" : "lower(s) // 转换为小写",
				text : "lower(s)"
			}, {
				"title" : "upper(s) // 转换为大写",
				text : "upper(s)"
			}, {
				"title" : "isQname(s) // 是否合法变量名",
				text : "isQname(s)"
			}, {
				"title" : "left(s, len) // 左侧子字符串",
				text : "left(s, len)"
			}, {
				"title" : "right(s, len) // 右侧子字符串",
				text : "right(s, len)"
			}, {
				"title" : "URLEncode(s)"
			}, {
				"title" : "URLDecode(s)"
			}, {
				"title" : "HTMLEncode(s)"
			}, {
				"title" : "space(n) // n个空格",
				text : "space(n)"
			}, {
				"title" : "space(n, 'c') // n个字符",
				text : "space(n, 'c')"
			}, {
				"title" : "replace(s, s1, s2) // 替换子串",
				text : "replace(s, s1, s2)"
			}, {
				"title" : "lpad(s, 'c', len) // 左填充字符至指定长度",
				text : "lpad(s, 'c', len)"
			}, {
				"title" : "rpad(s, 'c', len) // 右填充字符至指定长度",
				text : "rpad(s, 'c', len)"
			}, {
				"title" : "rtrim(s, s1) // 切除字符串的后缀",
				text : "rtrim(s, s1)"
			}, {
				"title" : "capital(s) // 转成首字母大写",
				text : "capital(s)"
			}, {
				"title" : "createXml('doc') // XML文档对象",
				text : "createXml('doc')"
			}, {
				"title" : "parseXml(s) // 解析XML字符串",
				text : "parseXml(s)"
			}, {
				"title" : "FormatJson(v) // 转换为Json字符串",
				text : "FormatJson(v)"
			}, {
				"title" : "ParseJson(s) // 解析Json字符串",
				text : "ParseJson(s)"
			}, {
				"title" : "xml2Json(xml) // XML文档对象转Json对象",
				text : "xml2Json(xml)"
			}, {
				"title" : "json2Xml(v) // Json对象转XML文档对象",
				text : "json2Xml(v)"
			}, {
				"title" : "PseudoBase64Encode(s) // 伪base64编码",
				text : "PseudoBase64Encode(s)"
			}, {
				"title" : "PseudoBase64Decode(s) // 伪base64解码",
				text : "PseudoBase64Decode(s)"
			}, {
				"title" : "getBytes(v, 'utf-8') // byte数组",
				text : "getBytes(v, 'utf-8')"
			}, {
				"title" : "Xml2JsonWithAttribute(xml) // XML文档对象转Json对象，支持属性项转换",
				text : "Xml2JsonWithAttribute(xml)"
			}, {
				"title" : "Json2XmlWithAttribute(v) // Json对象转XML文档对象，支持属性项转换",
				text : "Json2XmlWithAttribute(v)"
			} ]
		},
		{
			"title" : "switch2 //执行满足条件的第一段脚本",
			"text" : "switch2(v){c1 : script1; c1: script2; default : script}"
		},
		{
			"title" : "swap(a, b) // 交换变量值",
			"text" : "swap(a, b)"
		},

		{
			"title" : "var name; // 声明变量",
			"text" : "var name;"
		},

		{
			"title" : "SELECT @@name = field, ...",
			"text" : "SELECT @@value1 = field1, @@value2 = field2 \r\nFROM $cn.table_name \r\nWHERE field = @@var_name \r\nORDER BY field;"
		},
		{
			"title" : "SELECT @@row = (field1, field2, ...)",
			"text" : "SELECT @@row = (field1, field2) \r\nFROM $cn.table_name \r\nWHERE field = @@var_name \r\nORDER BY field;"
		},
		{
			"title" : "SELECT @@array1[] = field1, ...",
			"text" : "SELECT @@array1[] = field1, @@array2[] = field2 FROM $cn.table_name \r\nWHERE field = @@var_name \r\nORDER BY field;"
		},
		{
			"title" : "SELECT @@dataset[] = (field1, field2, ...)",
			"text" : "SELECT @@dataset[] = (field1, field2) FROM $cn.table_name \r\nWHERE field = @@var_name  \r\nORDER BY field;"
		},
		{
			"title" : "synchronized // 同步块",
			"text" : "synchronized('LOCK KEY', millis){}"
		},
		{
			"title" : "$$ // 智能字符串",
			"text" : "$$('...#{var_name}...');"
		},
		{
			"title" : "#debug; // 设置断点",
			"text" : "#debug; // 设置断点"
		},
		{
			"title" : "#debug #when condition; // 设置条件断点",
			"text" : "#debug #when condition; // 设置断点"
		},
		{
			"title" : "#debug expr; // 输出调试日志",
			"text" : "#debug expr; // 输出调试日志"
		},
		{
			"title" : "while(expr){}"
		},
		{
			"title" : "for(var e : list){}"
		},
		{
			"title" : "for((k, v) : map){}"
		},
		{
			"title" : "for([a, b] : [list1, list2]){} // 迭代多个相同长度列表",
			"text" : "for([a, b] : [list1, list2]){}"
		},
		{
			"title" : "for(var i=0; i<j; ++i){}"
		},
		{
			"title" : "break;"
		},

		{
			"title" : "continue;"
		},

		{
			"title" : "function // 独立上下文的函数",
			"text" : "function name(a,b,c) {}"
		},
		{
			"title" : "function // 共用上下文的函数",
			"text" : "var fn = (a,b) -> { return 0; };"
		},
		{
			"title" : "return expr;"
		},
		{
			"title" : "try",
			"text" : "try{}catch(e){}finally{}"
		},
		{
			"title" : "throw",
			"text" : "throw expr;"
		},
		{
			"title" : "contains"
		},
		{
			"title" : "Collection",
			"group" : "Collection.",
			"children" : [
					{
						"title" : "avg(v1, v2, v3)"
					},
					{
						"title" : "avg(list)"
					},
					{
						"title" : "avg(list, a->a.field)"
					},
					{
						"title" : "avg(map, a->a.value)"
					},
					{
						"title" : "max(v1, v2, v3)"
					},
					{
						"title" : "max(list)"
					},
					{
						"title" : "max(list, a->a.field)"
					},
					{
						"title" : "max(map, a->a.value)"
					},
					{
						"title" : "min(v1, v2, v3)"
					},
					{
						"title" : "min(list)"
					},
					{
						"title" : "min(list, a->a.field)"
					},
					{
						"title" : "min(map, a->a.value)"
					},
					{
						"title" : "sum(v1, v2, v3)"
					},
					{
						"title" : "sum(list)"
					},
					{
						"title" : "sum(list, a->a.field)"
					},
					{
						"title" : "sum(map, a->a.value)"
					},
					{
						"title" : "stdev(v1, v2, v3)"
					},
					{
						"title" : "stdev(list)"
					},
					{
						"title" : "stdev(list, a->a.field)"
					},
					{
						"title" : "stdev(map, a->a.value)"
					},
					{
						"title" : "count(list, e) // 计算e的个数",
						text : "count(list, e)"
					},
					{
						"title" : "count(list) // 非空且非false值的个数",
						text : "count(list)"
					},
					{
						"title" : "count(list, a->a.field) // field值非空且非false值的个数",
						text : "count(list, a->a.field)"
					},
					{
						"title" : "count(map, a->a.value) // value非空且非false值的个数",
						text : "count(map, a->a.value)"
					},
					{
						"title" : "contains(list, e) // 是否包含e",
						text : "contains(list, e)"
					},
					{
						"title" : "contains(list, e, a->a.field) // 是否包含字段field值是e的成员",
						text : "contains(list, e, a->a.field)"
					},
					{
						"title" : "sort(list) // 队列成员排序",
						text : "sort(list)"
					},
					{
						"title" : "sort(list, (a,b)-> a.field<b.field) // 按field字段值排序",
						text : "sort(list, (a,b)-> a.field<b.field)"
					},
					{
						"title" : "sort(list, (a,b)-> a.field<b.field, e -> e.fieldx) // 按field字段值排序，返回指定字段值",
						text : "sort(list, (a,b)-> a.field<b.field, e -> e.fieldx)"
					},
					{
						"title" : "first(list) //取第1个值",
						text : "first(list)"
					},
					{
						"title" : "last(list) //取最后1个值",
						text : "last(list)"
					},
					{
						"title" : "mid(list) // 排序后取中值",
						text : "mid(list)"
					},
					{
						"title" : "group(list, a -> a.field) // 按field字段值分组",
						text : "group(list, a -> a.field)"
					},
					{
						"title" : "group(list, a -> a.field, e -> e.fieldx) // 按field字段值分组，每组取指定字段值",
						text : "group(list, a -> a.field, e -> e.fieldx)"
					},
					{
						"title" : "project(list, criteria) // 取满足条件的对象重组为新列表",
						text : "project(list, criteria)"
					},
					{
						"title" : "project(list, criteria, getter) // 取满足条件的对象重组为新列表",
						text : "project(list, criteria, getter)"
					},
					{
						"title" : "exclude(list, criteria) // 排除满足条件的对象，将剩余对象重组为新列表",
						text : "exclude(list, criteria)"
					},
					{
						"title" : "exclude(list, criteria, getter) // 排除满足条件的对象，将剩余对象重组为新列表",
						text : "exclude(list, criteria, getter)"
					},
					{
						"title" : "remove(list, criteria) // 删除列表中满足条件的对象",
						text : "remove(list, criteria)"
					},
					{
						"title" : "remove(map, criteria) // 删除Map中满足条件的对象",
						text : "remove(map, criteria)"
					},
					{
						"title" : "minus(list1, list2) // 将list1中存在而list2中不存在的对象构造一个新列表",
						text : "minus(list1, list2)"
					},
					{
						"title" : "minus(list1, list2, e -> e.field) // 将list1中存在而list2中不存在的对象构造一个新列表",
						text : "minus(list1, list2, e -> e.field)"
					},
					{
						"title" : "minus(list1, list2, e -> e.field, e -> e.fieldx) // 将list1中存在而list2中不存在的对象构造一个新列表",
						text : "minus(list1, list2, e -> e.field, e -> e.fieldx)"
					},
					{
						"title" : "intersect(list1, list2) // 将list1和list2中都存在的对象构造一个新列表",
						text : "intersect(list1, list2)"
					},
					{
						"title" : "intersect(list1, list2, e -> e.field) // 将list1和list2中都存在的对象构造一个新列表",
						text : "intersect(list1, list2, e -> e.field)"
					},
					{
						"title" : "intersect(list1, list2, e -> e.field, e -> e.fieldx) // 将list1和list2中都存在的对象构造一个新列表",
						text : "intersect(list1, list2, e -> e.field, e -> e.fieldx)"
					},
					{
						"title" : "visit(list, e -> fn(e)) // 对列表中的每个元素进行处理",
						text : "visit(list, e -> fn(e))"
					},
					{
						"title" : "visit(list, e -> fn(e), criteria) // 对列表中的每个元素进行处理",
						text : "visit(list, e -> fn(e), criteria)"
					},
					{
						"title" : "slice(list, start, len) // 从start开始取len个元素构成新列表",
						text : "slice(list, start, len)"
					},
					{
						"title" : "slice(list, start, len, e -> e.field) // 从start开始取len个元素构成新列表",
						text : "slice(list, start, len, e -> e.field)"
					},
					{
						"title" : "addAll(list1, list2) // 将list2中元素全部加入list1",
						text : "addAll(list1, list2)"
					},
					{
						"title" : "addAll(map1, map2) // 将map2中（key,value）全部加入map1",
						text : "addAll(map1, map2)"
					},
					{
						"title" : "removeAll(list1, list2) // 将list2中元素全部从list1移除",
						text : "removeAll(list1, list2)"
					},
					{
						"title" : "removeAll(map1, map2) // 将map2中（key,value）全部从map1移除",
						text : "removeAll(map1, map2)"
					},
					{
						"title" : "removeAll(map, keylist) // 将keylist中值作为key全部从map中移除",
						text : "removeAll(map, keylist)"
					},
					{
						"title" : "clear(list) // 清空列表",
						text : "clear(list)"
					},
					{
						"title" : "clear(map) // 清空Map",
						text : "clear(map)"
					},
					{
						"title" : "sizeOf(list) // 列表中元素个数",
						text : "sizeOf(list)"
					},
					{
						"title" : "sizeOf(map) // Map中Key个数",
						text : "sizeOf(map)"
					},
					{
						"title" : "cov(list1, list2) // 协方差",
						text : "cov(list1, list2)"
					},
					{
						"title" : "toTree(list, e -> id, e -> parent) // 列表转换为树结构",
						text : "toTree(list, e -> id, e -> parent)"
					} ]
		},
		{
			"title" : "CallWebService(url, method, data, cookies, headers, charset);"
		},
		{
			"title" : "if(expr){}else{}"
		},
		{
			"title" : "",
			"group" : "is ",
			"children" : [ {
				"title" : "Empty",
				"text" : null
			}, {
				"title" : "Null",
				"text" : null
			}, {
				"title" : "Not Empty",
				"text" : null
			}, {
				"title" : "Not Null",
				"text" : null
			}, {
				"title" : "Date",
				"text" : null
			}, {
				"title" : "Number",
				"text" : null
			}, {
				"title" : "Decimal",
				"text" : null
			}, {
				"title" : "Boolean",
				"text" : null
			}, {
				"title" : "String",
				"text" : null
			}, {
				"title" : "List",
				"text" : null
			}, {
				"title" : "Map",
				"text" : null
			}, {
				"title" : "Set",
				"text" : null
			} ]
		},

		{
			"title" : "I(v) // int",
			"text" : "I(v)"
		},

		{
			"title" : "L(v) // long",
			"text" : "L(v)"
		},

		{
			"title" : "N(v) // number",
			"text" : "N(v)"
		},
		{
			"title" : "Number",
			"group" : "Number.",
			"children" : [ {
				"title" : "format(n, fmt)"
			}, {
				"title" : "parseInt(s)"
			}, {
				"title" : "parseLong(s)"
			}, {
				"title" : "parseDouble(s)"
			}, {
				"title" : "parseDecimal(s)"
			}, {
				"title" : "split(n, c) // 将数值 n 拆成 c 等份，总和等于n",
				text : "split(n, c)"
			}, {
				"title" : "test(s) // s 是否数值字符串",
				text : "test(s)"
			}, {
				"title" : "capital(n) // 转换为大写金额",
				text : "capital(n)"
			}, {
				"title" : "round(n) // 四舍五入为整数",
				text : "round(n)"
			}, {
				"title" : "round(n, scale) // 四舍五入，保留s位小数",
				text : "round(n, scale)"
			}, {
				"title" : "ceil(n) // 上取整",
				text : "ceil(n)"
			}, {
				"title" : "floor(n) // 下取整",
				text : "floor(n)"
			}, {
				"title" : "%(n) // 转百分数，两位小数",
				text : "%(n)"
			}, {
				"title" : "%(a, b) // (a-b)/b 转百分数，两位小数",
				text : "%(a, b)"
			}, {
				"title" : "$(n) // 转为每3位逗号分隔，两位小数",
				text : "$(n)"
			}, {
				"title" : "$(n, s) // 转为每3位逗号分隔，s位小数",
				text : "$(n, s)"
			}, {
				"title" : "rnd() // 双精度浮点随机数，0~1",
				text : "rnd()"
			}, {
				"title" : "rnd(i) // 整数随机数，0~i-1",
				text : "rnd(i)"
			}, {
				"title" : "parseHex(s)"
			} ]
		},
		{
			"title" : "NOW"
		},
		{
			"title" : "T(v) // timestamp",
			"text" : "T(v)"
		},
		{
			"title" : "X(v) // boolean",
			"text" : "X(v)"
		},
		{
			"title" : "D(v) // double",
			"text" : "D(v)"
		},
		{
			"title" : "TODAY"
		},
		{
			"title" : "streaming({ return x; });"
		},
		{
			"title" : "streaming(total, { return x; });"
		},
		{
			"title" : "NEW_ID // UUID",
			"text" : "NEW_ID"
		},
		{
			"title" : "Sleep(n 秒)"
		},
		{
			"title" : "char(n)"
		},
		{
			"title" : "typeof(v)"
		},
		{
			"title" : "IS_NULL(v, a) // v 为 null 则返回 a",
			"text" : "IS_NULL(v, a)"
		},
		{
			"title" : "NULL_IF(v, e) // v 等于 e 则返回 null",
			"text" : "NULL_IF(v, e)"
		},
		{
			"title" : "ClassPath('className')"
		},
		{
			"title" : "ClassInfo('className')"
		},
		{
			"title" : "ThreadStack('name contains \"ISC\"')"
		},
		{
			"title" : "Hash",
			"group" : "Hash.",
			"children" : [ {
				"title" : "RSA_SHA256(string, secretKey)"
			}, {
				"title" : "HmacSHA1(msg_bytes, key_bytes)"
			}, {
				"title" : "HmacSHA256(msg_bytes, key_bytes)"
			},{
				"title" : "HmacSHA384(msg_bytes, key_bytes)"
			},{
				"title" : "HmacSHA512(msg_bytes, key_bytes)"
			},{
				"title" : "HmacMD5(msg_bytes, key_bytes)"
			}, {
				"title" : "SHA256(v)"
			}, {
				"title" : "SHA384(v)"
			}, {
				"title" : "SHA1(v)"
			}, {
				"title" : "MD5(v)"
			}, {
				"title" : "CRC32(v)"
			}, {
				"title" : "MUR(v)"
			}, {
				"title" : "MUR32(v)"
			}, {
				"title" : "MUR16(v)"
			} ]
		},
		{
			"title" : "HttpAccess(url, method, data, charset, cookies, headers);"
		},
		{
			"title" : "HttpAccess2(url, method, body, contentType, cookies, headers, timeout);"
		},
		{
			"title" : "HttpPost(url, data, charset, cookies, headers);"
		},
		{
			"title" : "HttpGet(url, data, charset, cookies, headers);"
		},
		{
			"title" : "HttpInvoke(url, data, cookies, header)"
		},
		{
			"title" : "HttpUploadFile(url, data,charset, cookies, headers); // var data = [{ 'name':'upload1', 'filename':'test.json', 'data':bytes }]"
		},
		{
			"title" : "HttpDownloadFile(url, method, params, charset, cookies, headers)"
		},
		{
			"title" : "NewArray(list) // 对象数组Object[]",
			"text" : "NewArray(list)"
		},
		{
			"title" : "NewArray(list, DATA_TYPE) //指定类型数组",
			"text" : "NewArray(list, INTEGER)"
		},
		{
			"title" : "case2 // 选择满足条件的第一个值",
			"text" : "case2{ (expr) : v1; (expr): v2; default : v}"
		},
		{
			"title" : "select2 // 选择所有满足条件的值",
			"text" : "select2{ (expr) : v1; (expr): v2; default : v}"
		},
		{
			"title" : "Aggregation",
			"group" : "Aggregation.",
			"children" : [ {
				"title" : "AVG(list)"
			}, {
				"title" : "SUM(list)"
			}, {
				"title" : "MAX(list)"
			}, {
				"title" : "MIN(list)"
			}, {
				"title" : "FIRST(list)"
			}, {
				"title" : "LAST(list)"
			}, {
				"title" : "COUNT(list) // 统计非null元素个数",
				"text" : "COUNT(list)"
			}, {
				"title" : "CONCAT(list, 'c') // 连接成一个字符串",
				"text" : "CONCAT(list, 'c')"
			}, {
				"title" : "CONCAT2(list, 'c') // 排除重复元素，连接成一个字符串",
				"text" : "CONCAT2(list, 'c')"
			}, {
				"title" : "MID(list)"
			}, {
				"title" : "STDEV(list)"
			} ]
		},
		{
			"title" : "Date",
			"group" : "Date.",
			"children" : [ {
				"title" : "add(date, 1 秒)"
			}, {
				"title" : "diff(d1, d2, TimeUnit.DAY)",
			}, {
				title : "part(d, TimePart.DAY)"
			}, {
				title : "format(d, 'YYYY-MM-DD HH:mm:ss.SSS')"
			}, {
				title : "firstDay(d,TimeUnit.MONTH)"
			}, {
				title : "lastDay(d,TimeUnit.MONTH)"
			}, {
				title : "getTime(d)"
			}, {
				title : "now()"
			}, {
				title : "today()"
			}, {
				title : "range(TimeUnit.DAY, d)"
			} ]
		},
		{
			"title" : "TimeUnit",
			"group" : "TimeUnit.",
			"children" : [ {
				"title" : "YEAR"
			}, {
				"title" : "HALFYEAR"
			}, {
				"title" : "QUARTER"
			}, {
				"title" : "MONTH"
			}, {
				"title" : "WEEK"
			}, {
				"title" : "DAY"
			}, {
				"title" : "HOUR"
			}, {
				"title" : "MINUTE"
			}, {
				"title" : "SECOND"
			}, {
				"title" : "MILLISECOND"
			} ]
		},
		{
			"title" : "TimePart",
			"group" : "TimePart.",
			"children" : [ {
				"title" : "YEAR"
			}, {
				"title" : "QUARTER"
			}, {
				"title" : "MONTH"
			}, {
				"title" : "WEEK"
			}, {
				"title" : "WEEK_OF_MONTH"
			}, {
				"title" : "WEEK_OF_YEAR"
			}, {
				"title" : "DAY"
			}, {
				"title" : "DAY_OF_WEEK"
			}, {
				"title" : "DAY_OF_YEAR"
			}, {
				"title" : "HOUR"
			}, {
				"title" : "MINUTE"
			}, {
				"title" : "SECOND"
			}, {
				"title" : "MILLISECOND"
			} ]
		},
		{
			"title" : "Math",
			"group" : "Math.",
			"children" : [ {
				"title" : "max(a,b)"
			}, {
				"title" : "min(a,b)"
			}, {
				"title" : "abs(n)"
			}, {
				"title" : "rnd(n)"
			}, {
				"title" : "cos(n)"
			}, {
				"title" : "sin(n)"
			} ]
		},
		{
			"title" : "Data",
			"group" : "Data.",
			"children" : [
				{
					title : "deepClone(v) // 克隆一个由简单值构成的Map或List",
					text : "deepClone(v)"
				},
					{
						title : "set() // 构造一个空集合",
						text : "set()"
					},
					{
						title : "set(array) // 将数组对象转换成列表（Set）",
						text : "set(array)"
					},
					{
						title : "asList(array) // 将数组对象转换成列表（List）",
						text : "asList(array)"
					},
					{
						title : "stack() // 构造一个空栈，例如：s <+ v (进栈); s +> v (出栈)",
						text : "stack()"
					},
					{
						title : "queue() // 构造一个空队列，例如：s <+ v (入队); s +> v (出队)",
						text : "queue()"
					},
					{
						title : "heap() // 构造一个空堆，例如：s <+ v (进堆); s +> v (出堆)",
						text : "heap()"
					},
					{
						title : "mapping(k1 : v1, k2 : v2, ... , default : 默认值}) // 定义静态查找表，例如：var lookup = Data.mapping(1:'a',2:'b',default:'c'); return lookup(1)",
						text : "mapping(k1 : v1, default : null)"
					},
					{
						title : "mapping(k1 : fn1, k2 : fn2, ... , default : fn}) // 定义静态查找表，例如：function f1(){return 'a'}function f2(){return 'b'} var exec = Data.mapping(1:f1,default:f2); return exec(1)",
						text : "mapping(k1 : fn1, default : fn)"
					},
					{
						title : "routing(k1 : v1, k2 : v2, ... , default : 默认值}) // 定义动态查找表",
						text : "routing(k1 : v1, default : null)"
					},
					{
						title : "routing(k1 : fn1, k2 : fn2, ... , default : fn}) // 定义动态查找表",
						text : "routing(k1 : fn1, default : fn)"
					},
					{
						title : "switch(c1 : v1, c2 : v2, ... , default : 默认值}) // 定义条件查找表，例如：var selector = Data.switch(a<1:'A',a<2:'B',default:'C'); return selector({a:2})",
						text : "switch(c1 : v1, default : null)"
					},
					{
						title : "switch(k1 : fn1, k2 : fn2, ... , default : fn}) // 定义条件查找表",
						text : "switch(k1 : fn1, default : fn)"
					},
					{
						title : "pair(k, v) // 构造Key-Value对",
						text : "pair(k, v)"
					},
					{
						title : "tuple(field_name1, ...) // 定义不变元组，例如：var User=Data.tuple(id, name); var u1 = User(1, 'Yu Xichu')",
						text : "tuple(a, b, c)"
					},
					{
						title : "struct(field_name1, ...) // 定义可变元组，例如：var User=Data.struct(id, name); var u1 = User(1, 'Yu Xichu')",
						text : "struct(a, b, c)"
					},
					{
						title : "fsm('pattern1', 'pattern2', ...) // 定义字符串匹配状态机，例如：var test = Data.fsm('a*','b*'); return test('abc')",
						text : "fsm('pattern1')"
					},
					{
						title : "fsm('pattern1' : fn1, 'pattern2' : fn2, ...) // 定义字符串匹配状态机，例如：function fa(s,a,p){ throw @;} var exec = Data.fsm('a*' : fa); exec('a', 1)",
						text : "fsm('pattern1' : fn1)"
					},
					{
						title : "choose_short_list(candidates, limit, includes, threshold) // 根据特征要求由候选名单随机生成短名单",
						text : "choose_short_list(candidates, 5, [], 64)"
					} ]
		}, {
			"title" : "=>",
			"group" : "=> ",// 用于提示流式处理函数
			"children" : [ {
				"title" : "{key : $.field, ...} // 列表字段映射",
				"text" : "{key1 : $.field1, key2: _.field2, key3: #.field3};"
			}, {
				"title" : "{switch2(value){ v : 'A'; ...}} //Map值转换",
				"text" : "{switch2(value){ 1 : 'A'; 2 : 'B'; default : 'C'} };"
			} ]
		}, {
			"title" : " ",
			"group" : " ",
			"children" : [ {
				"title" : "is // 是什么对象",
				"text" : "is"
			}, {
				"title" : "endsWith // 字符串结尾",
				"text" : "endsWith 'suffix'"
			}, {
				"title" : "startsWith // 字符串开头",
				"text" : "startsWith 'prefix'"
			}, {
				"title" : "like // 字符串SQL模式",
				"text" : "like 'pattern'"
			}, {
				"title" : "matches // 字符串正则模式",
				"text" : "matches `regexpr`"
			}, {
				"title" : "in [a,b,c,...] // 属于列表成员",
				"text" : "in [a, b, c]"
			}, {
				"title" : "in [a .. b] // 介于[a，b]之间",
				"text" : "in [a .. b]"
			}, {
				"title" : "秒"
			}, {
				"title" : "分钟"
			}, {
				"title" : "小时"
			}, {
				title : "INTEGER"
			}, {
				title : "DECIMAL"
			}, {
				title : "BIGINT"
			}, {
				title : "TIMESTAMP"
			}, {
				"title" : "天"
			}, {
				"title" : "周"
			}, {
				"title" : "月"
			}, {
				"title" : "季度"
			}, {
				"title" : "年"
			}, {
				"title" : "半年"
			}, {
				"title" : "毫秒"
			}, {
				title : "VARCHAR"
			}, {
				title : "DOUBLE"
			}, {
				title : "FLOAT"
			}, {
				title : "BLOB"
			}, {
				title : "CLOB"
			}, {
				title : "DATE"
			}, {
				title : "TIME"
			}, {
				title : "BOOLEAN"
			}, {
				title : "VARBINARY"
			}, {
				title : "BIT"
			}, {
				title : "DATETIME"
			}, {
				title : "CHAR"
			}, {
				title : "BINARY"
			} ]
		}, {
			"title" : ".",
			"group" : ".",// 用于提示流式处理函数
			"children" : [ {
				"title" : "length // 列表、字符串 或 数组 长度",
				"text" : "length"
			}, {
				"title" : "#_IGNORE_TAG = true; // 数据集成设置忽略标记",
				"text" : "#_IGNORE_TAG = true;"
			}, {
				title : "#text = 'text'; // XML节点设置文本内容",
				"text" : "#text = 'text';"
			}, {
				title : "#children:node_name // 获取XML子节点列表",
				"text" : "'#children:name'"
			}, {
				"title" : "each(field).concat(',') // 分录字段连接为字符串",
				"text" : "each(field).concat(',')"
			}, {
				"title" : "entries(key).concat(',') // Map的key连接为字符串",
				"text" : "entries(key).concat(',')"
			}, {
				"title" : "group(field) // list2map",
				"text" : "group(field)"
			}, {
				"title" : "group(expr) // list2map",
				"text" : "group(expr)"
			}, {
				"title" : "group(field1,field2) // list2map",
				"text" : "group(field1,field2)"
			}, {
				"title" : "filter(expr) // list2sublist",
				"text" : "filter(expr)"
			}, {
				"title" : "entries() // map2list",
				"text" : "entries()"
			}, {
				"title" : "entries(key) // map2list",
				"text" : "entries(key)"
			}, {
				"title" : "entries(value) // map2list",
				"text" : "entries(value) "
			}, {
				"title" : "entries(expr) // map2list",
				"text" : "entries(expr)"
			}, {
				"title" : "sort(expr) // list2sorted",
				"text" : "sort(expr)"
			}, {
				"title" : "sort(expr,mode) // list2sorted",
				"text" : "sort(expr,mode)"
			}, {
				"title" : "concat()  // list2string",
				"text" : "concat()"
			}, {
				"title" : "concat(s) // list2string",
				"text" : "concat(s)"
			}, {
				"title" : "concat(expr,s) // list2string",
				"text" : "concat(expr,s)"
			}, {
				"title" : "split() // string2list",
				"text" : "split()"
			}, {
				"title" : "split(s) // string2list",
				"text" : "split(s)"
			}, {
				"title" : "split(s,n) // string2list",
				"text" : "split(s,n)"
			}, {
				"title" : "mapping(k,v) // list2map",
				"text" : "mapping(k,v)"
			}, {
				"title" : "sum(expr)",
				"text" : "sum(expr)"
			}, {
				"title" : "count(expr)",
				"text" : "count(expr)"
			}, {
				"title" : "max(expr)",
				"text" : "max(expr)"
			}, {
				"title" : "min(expr)",
				"text" : "min(expr)"
			}, {
				"title" : "avg(expr)",
				"text" : "avg(expr)"
			} ]
		}, {
			"title" : "default"
		}, {
			"title" : "undefined"
		}, {
			title : "VARCHAR"
		}, {
			title : "INTEGER"
		}, {
			title : "DECIMAL"
		}, {
			title : "BIGINT"
		}, {
			title : "TIMESTAMP"
		}, {
			title : "DOUBLE"
		}, {
			title : "FLOAT"
		}, {
			title : "BLOB"
		}, {
			title : "CLOB"
		}, {
			title : "DATE"
		}, {
			title : "TIME"
		}, {
			title : "BOOLEAN"
		}, {
			title : "VARBINARY"
		}, {
			title : "BIT"
		}, {
			title : "DATETIME"
		}, {
			title : "CHAR"
		}, {
			title : "BINARY"
		}, {
			title : "to_eas_id(s, bostype)"
		}, {
			title : "query_list(cn, sql, params, types)"
		}, {
			title : "query_column(cn, sql, params, types)"
		}, {
			title : "query_row(cn, sql, params, types)"
		}, {
			title : "query_value(cn, sql, params, types)"
		}, {
			title : "#DISABLE_REG_EXPR_CHECK; // 禁止校验正则表达式，使用者自己负责风险",
			text : "#DISABLE_REG_EXPR_CHECK;"
		},{
            "title" : "OpenAPI",
            "group" : "OpenAPI.",
            "children" : [ {
                "title" : "invokeOperation(apiUrl, data, header)"
            }, {
                "title" : "queryData(apiUrl, data, pageSize, pageNo)"
            } ]
        } ]